{% extends 'base.html.twig' %}

{% block title %}Vos réservations passées et à venir{% endblock %}

{% block body %}
    <div class="container mat7">
        <h1 class="maTmaB tac">Mes réservations</h1>
            <div class="alert alert-info mt-3">
                <p>Retrouvez ci-dessous toutes vos réservations passées et à venir</p>
            </div>
        {% for booking in app.user.bookings %}
        {% set ad = booking.ad %}
            <div class="row mt-5">
                <div class="col-md-4">
                    <img src="{{ad.coverImage}}" alt="Photo de l'annonce" {{ad.title}} class="img-fluide" />
                
                    <div class="mt-3">
                        {% set comment = ad.commentFromAuthor(app.user) %}
                        {% if comment is not null %}
                            <strong>Note donnée : </strong> 
                            {% include 'partials/rating.html.twig' with {'rating': comment.rating} %}
                        {% else %}
                            <p>Vous n'avez pas encore donné de note.</p>
                            <a href="{{ path('booking_show', {'id':booking.id}) }}#comment" class="btn btn-link">Je donne mon avis</a>
                        {% endif %}
                    </div>
                
                </div>
                <div class="col-md-8">
                    <h4>{{ad.title}}</h4>
                    <p>
                        Réservation <strong>n°{{booking.id}}</strong><br>
                        Du {{booking.startDate|date('d/m/Y')}} au {{booking.endDate|date('d/m/Y')}} ({{booking.amount | number_format(2, ',', ' ') }}&euro;)
                    </p>
                    <a href="{{ path('booking_show', {'id':booking.id}) }}" class="btn btn-info">Plus d'informations</a>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}